The project's remote requests
curl --request GET \
--url https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests \
--cookie apsio_session=import requests
url = "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests"
headers = {"cookie": "apsio_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'apsio_session='}};
fetch('https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "apsio_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "apsio_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests")
.header("cookie", "apsio_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'apsio_session='
response = http.request(request)
puts response.read_body{
"requests": [
{
"id": "<string>",
"project_id": "<string>",
"kind": "send",
"subject_kind": "install",
"subject_hint": "<string>",
"families": [
"summary"
],
"created_by": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"canceled_at": "<string>",
"state": "open"
}
]
}Console API
The project's remote requests
Requests to one install or one app user to send what its device holds or delete it, newest first (at most 200), open, expired or canceled. Never the install id or the user hash. Members.
GET
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
device-requests
The project's remote requests
curl --request GET \
--url https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests \
--cookie apsio_session=import requests
url = "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests"
headers = {"cookie": "apsio_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'apsio_session='}};
fetch('https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "apsio_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "apsio_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests")
.header("cookie", "apsio_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apsio.io/v1/orgs/{orgId}/projects/{projectId}/device-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'apsio_session='
response = http.request(request)
puts response.read_body{
"requests": [
{
"id": "<string>",
"project_id": "<string>",
"kind": "send",
"subject_kind": "install",
"subject_hint": "<string>",
"families": [
"summary"
],
"created_by": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"canceled_at": "<string>",
"state": "open"
}
]
}Authorizations
The console session, set by /v1/auth/callback (__Host-apsio_session when host-only).
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"0192f3a4-0000-7000-8000-00000000a001"
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"0192f3a4-0000-7000-8000-00000000a001"
Response
200 - application/json
The requests
Show child attributes
Show child attributes